StarTableInternal::TableBox Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
StarTableInternal::TableBox Struct Reference

small structure used to store a table box More...

## Public Member Functions
| TableBox ()
| constructor
bool | read (Table &table, StarZone &zone, StarObjectText &object, STOFFBox2i &cPos)
| try to read the data
bool | send (STOFFListenerPtr listener, StarState &state) const
| try to send the data to a listener
void | updatePosition (Table &table, StarState const &state, float xOrigin, STOFFVec2i const &RBpos=STOFFVec2i(-1,-1))
| update the position to correspond to cover the m_position[0],right/bottom

## Public Attributes
STOFFBox2i | m_position
| the position
int | m_formatId
| the format
int | m_numLines
| the number of lines
std::shared_ptr< StarObjectTextInternal::Content > | m_content
| the content
std::vector< std::shared_ptr< TableLine > > | m_lineList
| a list of line
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the format
STOFFCellStyle | m_cellStyle
| the cell style
STOFFVec2f | m_xDimension
| the x position

## Detailed Description

small structure used to store a table box

## Constructor & Destructor Documentation

## ◆ TableBox()

StarTableInternal::TableBox::TableBox | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarTableInternal::TableBox::read | ( | Table & | table,
|  | StarZone & | zone,
|  | StarObjectText & | object,
|  | STOFFBox2i & | cPos )

try to read the data

## ◆ send()

bool StarTableInternal::TableBox::send | ( | STOFFListenerPtr | listener,
|  | StarState & | state ) const

try to send the data to a listener

## ◆ updatePosition()

void StarTableInternal::TableBox::updatePosition | ( | Table & | table,
|  | StarState const & | state,
|  | float | xOrigin,
|  | STOFFVec2i const & | RBpos = STOFFVec2i(-1,-1) )

update the position to correspond to cover the m_position[0],right/bottom

## Member Data Documentation

## ◆ m_cellStyle

STOFFCellStyle StarTableInternal::TableBox::m_cellStyle

the cell style

Referenced by send(), and updatePosition().

## ◆ m_content

std::shared_ptr<StarObjectTextInternal::Content> StarTableInternal::TableBox::m_content

the content

Referenced by read(), and send().

## ◆ m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarTableInternal::TableBox::m_format

the format

Referenced by read(), and updatePosition().

## ◆ m_formatId

int StarTableInternal::TableBox::m_formatId

the format

Referenced by read(), and updatePosition().

## ◆ m_lineList

std::vector<std::shared_ptr<TableLine> > StarTableInternal::TableBox::m_lineList

a list of line

Referenced by read(), and updatePosition().

## ◆ m_numLines

int StarTableInternal::TableBox::m_numLines

the number of lines

Referenced by read().

## ◆ m_position

STOFFBox2i StarTableInternal::TableBox::m_position

the position

Referenced by read(), send(), and updatePosition().

## ◆ m_xDimension

STOFFVec2f StarTableInternal::TableBox::m_xDimension

the x position

Referenced by updatePosition().

The documentation for this struct was generated from the following file:

- StarTable.cxx